Subject: [CCAMP] Query regarding Notification Message procedures in [RFC 3473]

From: Saravanan Narasimhan <[email-masked]>
Date: Wed, 10 Aug 2011 20:27:22 +0530

Hi CCAMP-WG,

I am trying to implement Notify message feature for GMPLS. I have a query
regarding the procedures to be followed while generating Notification
Message in [RFC 3473].

As per the [RFC 3473] Section 4.3.2,

" Notify messages are most commonly generated at nodes that detect an error
that will trigger the generation of a PathErr or ResvErr message.  If a
PathErr message is to be generated and a Notify Request object has been
received in the corresponding Path message, then a Notify message destined
to the recorded node SHOULD be generated.  If a ResvErr message is to be
generated and a Notify Request object has been received in the corresponding
Resv message, then a Notify message destined to the recorded node SHOULD
be generated.  As previously mentioned, a single error may generate
a Notify message in both the upstream and downstream directions.  Note that
a Notify message MUST NOT be generated unless an appropriate Notify Request
object has been received."

[QUESTION]
Here, Whenever a Notify message is generated, SHOULD we suppress the
generation of PathErr and ResvErr Message or SHOULD we allow PathErr and
ResvErr Message to be sent in addition to Notify Message?

Please clarfiy this Question.

Kindly ignore if this is a very basic question.

Thank You,
N.Saravanan

---

From: Lou Berger <[email-masked]>
Date: Wed, 10 Aug 2011 15:07:30 -0400

excerpts from section 4 of the referenced rfc:
   ....  The Notify message does not
   replace existing error messages.  ...

    If a PathErr message is to be generated and...

    If a ResvErr message is to be generated and...

As previously defined behavior is not explicitly modified, it is still
in force.

Lou

On 8/10/2011 10:57 AM, Saravanan Narasimhan wrote:
> Hi CCAMP-WG,
>  
> I am trying to implement Notify message feature for GMPLS. I have a
> query regarding the procedures to be followed while generating
> Notification Message in [RFC 3473].
>  
> " Notify messages are most commonly generated at nodes that detect
> an error that will trigger the generation of a PathErr or
> ResvErr message.  If a PathErr message is to be generated and a
> Notify Request object has been received in the corresponding Path
> message, then a Notify message destined to the recorded node SHOULD
> be generated.  If a ResvErr message is to be generated and a
> Notify Request object has been received in the corresponding Resv
> message, then a Notify message destined to the recorded node SHOULD
> a Notify message in both the upstream and downstream directions. 
> Note that a Notify message MUST NOT be generated unless an
> appropriate Notify Request object has been received."
>  
> [QUESTION]
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp